Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## josx.vision
Class ColorDetectionControl

    java.lang.Object
      josx.vision.ColorDetectionControl

All Implemented Interfaces:
  java.awt.event.ActionListener, java.util.EventListener, javax.media.Control, javax.swing.event.ChangeListener

    public class ColorDetectionControl

extends java.lang.Object
implements javax.media.Control, java.awt.event.ActionListener, javax.swing.event.ChangeListener

Title: Lejos Vision System Description: Color Detection Control

Author:
  Lawrie Griffiths

Constructor Summary
`ColorDetectionControl(ColorEffect effect)` Create the Motion Detection Control

Method Summary
`void` | `actionPerformed(java.awt.event.ActionEvent e)` Toggle debug
`java.awt.Component` | `getControlComponent()` Return the visual component
`void` | `stateChanged(javax.swing.event.ChangeEvent e)` Set the threshold value

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ColorDetectionControl

    public ColorDetectionControl(ColorEffect effect)

  Create the Motion Detection Control

Method Detail

### getControlComponent

    public java.awt.Component getControlComponent()

  Return the visual component

  Specified by:
    `getControlComponent` in interface `javax.media.Control`
  Returns:
    the component containing the GUI controls

### actionPerformed

    public void actionPerformed(java.awt.event.ActionEvent e)

  Toggle debug

  Specified by:
    `actionPerformed` in interface `java.awt.event.ActionListener`
  Parameters:
    `e` - the action event (ignored)

### stateChanged

    public void stateChanged(javax.swing.event.ChangeEvent e)

  Set the threshold value

  Specified by:
    `stateChanged` in interface `javax.swing.event.ChangeListener`
  Parameters:
    `e` - the Changeevent (ignored)

Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD